title: fmp_income_statement_transformation
description: Transformation rules for FMP Income Statement dataset
version: 1.0.0
rename:
  date: date
  symbol: symbol
  reportedCurrency: reported_currency
  cik: cik
  fillingDate: filling_date
  acceptedDate: accepted_date
  calendarYear: calendar_year
  period: period
  revenue: revenue
  costOfRevenue: cost_of_revenue
  grossProfit: gross_profit
  grossProfitRatio: gross_profit_ratio
  researchAndDevelopmentExpenses: research_and_development_expenses
  generalAndAdministrativeExpenses: general_and_administrative_expenses
  sellingAndMarketingExpenses: selling_and_marketing_expenses
  sellingGeneralAndAdministrativeExpenses: selling_general_and_administrative_expenses
  otherExpenses: other_expenses
  operatingExpenses: operating_expenses
  costAndExpenses: cost_and_expenses
  interestIncome: interest_income
  interestExpense: interest_expense
  depreciationAndAmortization: depreciation_and_amortization
  ebitda: ebitda
  ebitdaratio: ebitda_ratio
  operatingIncome: operating_income
  operatingIncomeRatio: operating_income_ratio
  totalOtherIncomeExpensesNet: total_other_income_expenses_net
  incomeBeforeTax: income_before_tax
  incomeBeforeTaxRatio: income_before_tax_ratio
  incomeTaxExpense: income_tax_expense
  netIncome: net_income
  netIncomeRatio: net_income_ratio
  eps: eps
  epsdiluted: eps_diluted
  weightedAverageShsOut: weighted_average_shs_out
  weightedAverageShsOutDil: weighted_average_shs_out_dil
  link: link
  finalLink: final_link
